hpp-python: pyhpp::core Namespace Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
pyhpp::core Namespace Reference

## Namespaces
namespace | path
namespace | pathOptimization
namespace | pathPlanner
namespace | problemTarget
namespace | steeringMethod

## Classes
struct | CCWrapper
struct | CSWrapper
struct | CVWrapper
struct | CWrapper
struct | DistanceWrapper
struct | PathPlanner
struct | PathWrap
class | PathWrapper
struct | PPWrapper
struct | Problem
struct | ProblemWrapperConverter
struct | PVWrapper
struct | RWrapper
struct | SteeringMethod

## Typedefs
typedef hpp::core::RoadmapPtr_t | RoadmapPtr_t
typedef hpp::core::ProblemConstPtr_t | ProblemConstPtr_t
typedef hpp::core::PathVectorPtr_t | PathVectorPtr_t
typedef std::shared_ptr< SteeringMethod > | PyWSteeringMethodPtr_t
typedef hpp::core::ProblemPtr_t | ProblemPtr_t
typedef hpp::core::DevicePtr_t | DevicePtr_t
typedef hpp::core::Parameter | Parameter
typedef hpp::core::ConfigurationIn_t | ConfigurationIn_t
typedef hpp::core::ConfigurationShooterPtr_t | ConfigurationShooterPtr_t
typedef hpp::core::SteeringMethodPtr_t | SteeringMethodPtr_t
typedef hpp::core::ConfigValidationsPtr_t | ConfigValidationsPtr_t
typedef hpp::core::PathValidationPtr_t | PathValidationPtr_t
typedef hpp::core::PathProjectorPtr_t | PathProjectorPtr_t
typedef hpp::core::ProblemTargetPtr_t | ProblemTargetPtr_t
typedef hpp::core::DistancePtr_t | DistancePtr_t
typedef hpp::core::value_type | value_type
typedef hpp::core::size_type | size_type
typedef hpp::core::Configuration_t | Configuration_t
typedef hpp::core::PathPtr_t | PathPtr_t
typedef hpp::core::ConstraintSetPtr_t | ConstraintSetPtr_t
typedef PyWSteeringMethodPtr_t(Problem::* | GetSteeringMethod) () const
typedef void(Problem::* | SetSteeringMethod) (const PyWSteeringMethodPtr_t &)
typedef const ConfigValidationsPtr_t &(Problem::* | GetConfigValidation) () const
typedef void(Problem::* | SetConfigValidation) (const ConfigValidationsPtr_t &)
typedef PathValidationPtr_t(Problem::* | GetPathValidation) () const
typedef void(Problem::* | SetPathValidation) (const PathValidationPtr_t &)
typedef PathProjectorPtr_t(Problem::* | GetPathProjector) () const
typedef void(Problem::* | SetPathProjector) (const PathProjectorPtr_t &)
typedef DistancePtr_t(Problem::* | GetDistance) () const
typedef void(Problem::* | SetDistance) (const DistancePtr_t &)
typedef const ProblemTargetPtr_t &(Problem::* | GetTarget) () const
typedef void(Problem::* | SetTarget) (const ProblemTargetPtr_t &)
typedef ConfigurationShooterPtr_t(Problem::* | GetConfigurationShooter) () const
typedef void(Problem::* | SetConfigurationShooter) (const ConfigurationShooterPtr_t &)

## Functions
void | exposeConfigValidation ()
void | exposeConfigurationShooter ()
void | exposeConstraint ()
void | exposeEquation ()
void | exposeReports ()
void | exposeSteeringMethod ()
void | exposeNode ()
void | exposeDistance ()
void | exposeConnectedComponent ()
void | exposeRoadmap ()
void | exposeProblemTarget ()
void | exposePath ()
void | exposePathOptimizer ()
void | exposePathProjector ()
void | exposePathValidation ()
void | exposePathPlanner ()
void | exposeParameter ()
void | exposeProblem ()
object | parameter_as_python_object (Parameter *p)
Parameter | create (object param)
Parameter | createBool (bool param)
template<int Order>
void | exposeSplineGradientBased (const char *name)
void | register_problem_converters ()

## Typedef Documentation

## ◆ Configuration_t

typedef hpp::core::Configuration_t pyhpp::core::Configuration_t

## ◆ ConfigurationIn_t

typedef hpp::core::ConfigurationIn_t pyhpp::core::ConfigurationIn_t

## ◆ ConfigurationShooterPtr_t

typedef hpp::core::ConfigurationShooterPtr_t pyhpp::core::ConfigurationShooterPtr_t

## ◆ ConfigValidationsPtr_t

typedef hpp::core::ConfigValidationsPtr_t pyhpp::core::ConfigValidationsPtr_t

## ◆ ConstraintSetPtr_t

typedef hpp::core::ConstraintSetPtr_t pyhpp::core::ConstraintSetPtr_t

## ◆ DevicePtr_t

typedef hpp::core::DevicePtr_t pyhpp::core::DevicePtr_t

## ◆ DistancePtr_t

typedef hpp::core::DistancePtr_t pyhpp::core::DistancePtr_t

## ◆ GetConfigurationShooter

typedef ConfigurationShooterPtr_t(Problem::* pyhpp::core::GetConfigurationShooter) () const

## ◆ GetConfigValidation

typedef const ConfigValidationsPtr_t &(Problem::* pyhpp::core::GetConfigValidation) () const

## ◆ GetDistance

typedef DistancePtr_t(Problem::* pyhpp::core::GetDistance) () const

## ◆ GetPathProjector

typedef PathProjectorPtr_t(Problem::* pyhpp::core::GetPathProjector) () const

## ◆ GetPathValidation

typedef PathValidationPtr_t(Problem::* pyhpp::core::GetPathValidation) () const

## ◆ GetSteeringMethod

typedef PyWSteeringMethodPtr_t(Problem::* pyhpp::core::GetSteeringMethod) () const

## ◆ GetTarget

typedef const ProblemTargetPtr_t &(Problem::* pyhpp::core::GetTarget) () const

## ◆ Parameter

typedef hpp::core::Parameter pyhpp::core::Parameter

## ◆ PathProjectorPtr_t

typedef hpp::core::PathProjectorPtr_t pyhpp::core::PathProjectorPtr_t

## ◆ PathPtr_t

typedef hpp::core::PathPtr_t pyhpp::core::PathPtr_t

## ◆ PathValidationPtr_t

typedef hpp::core::PathValidationPtr_t pyhpp::core::PathValidationPtr_t

## ◆ PathVectorPtr_t

typedef hpp::core::PathVectorPtr_t pyhpp::core::PathVectorPtr_t

## ◆ ProblemConstPtr_t

typedef hpp::core::ProblemConstPtr_t pyhpp::core::ProblemConstPtr_t

## ◆ ProblemPtr_t

typedef hpp::core::ProblemPtr_t pyhpp::core::ProblemPtr_t

## ◆ ProblemTargetPtr_t

typedef hpp::core::ProblemTargetPtr_t pyhpp::core::ProblemTargetPtr_t

## ◆ PyWSteeringMethodPtr_t

typedef std::shared_ptr<SteeringMethod> pyhpp::core::PyWSteeringMethodPtr_t

## ◆ RoadmapPtr_t

typedef hpp::core::RoadmapPtr_t pyhpp::core::RoadmapPtr_t

## ◆ SetConfigurationShooter

typedef void(Problem::* pyhpp::core::SetConfigurationShooter) (const ConfigurationShooterPtr_t &)

## ◆ SetConfigValidation

typedef void(Problem::* pyhpp::core::SetConfigValidation) (const ConfigValidationsPtr_t &)

## ◆ SetDistance

typedef void(Problem::* pyhpp::core::SetDistance) (const DistancePtr_t &)

## ◆ SetPathProjector

typedef void(Problem::* pyhpp::core::SetPathProjector) (const PathProjectorPtr_t &)

## ◆ SetPathValidation

typedef void(Problem::* pyhpp::core::SetPathValidation) (const PathValidationPtr_t &)

## ◆ SetSteeringMethod

typedef void(Problem::* pyhpp::core::SetSteeringMethod) (const PyWSteeringMethodPtr_t &)

## ◆ SetTarget

typedef void(Problem::* pyhpp::core::SetTarget) (const ProblemTargetPtr_t &)

## ◆ size_type

typedef hpp::core::size_type pyhpp::core::size_type

## ◆ SteeringMethodPtr_t

typedef hpp::core::SteeringMethodPtr_t pyhpp::core::SteeringMethodPtr_t

## ◆ value_type

typedef hpp::core::value_type pyhpp::core::value_type

## Function Documentation

## ◆ create()

Parameter pyhpp::core::create | ( | object | param | ) |

## ◆ createBool()

Parameter pyhpp::core::createBool | ( | bool | param | ) |

## ◆ exposeConfigurationShooter()

void pyhpp::core::exposeConfigurationShooter | ( |  | ) |

## ◆ exposeConfigValidation()

void pyhpp::core::exposeConfigValidation | ( |  | ) |

## ◆ exposeConnectedComponent()

void pyhpp::core::exposeConnectedComponent | ( |  | ) |

## ◆ exposeConstraint()

void pyhpp::core::exposeConstraint | ( |  | ) |

## ◆ exposeDistance()

void pyhpp::core::exposeDistance | ( |  | ) |

## ◆ exposeEquation()

void pyhpp::core::exposeEquation | ( |  | ) |

## ◆ exposeNode()

void pyhpp::core::exposeNode | ( |  | ) |

## ◆ exposeParameter()

void pyhpp::core::exposeParameter | ( |  | ) |

## ◆ exposePath()

void pyhpp::core::exposePath | ( |  | ) |

## ◆ exposePathOptimizer()

void pyhpp::core::exposePathOptimizer | ( |  | ) |

## ◆ exposePathPlanner()

void pyhpp::core::exposePathPlanner | ( |  | ) |

## ◆ exposePathProjector()

void pyhpp::core::exposePathProjector | ( |  | ) |

## ◆ exposePathValidation()

void pyhpp::core::exposePathValidation | ( |  | ) |

## ◆ exposeProblem()

void pyhpp::core::exposeProblem | ( |  | ) |

## ◆ exposeProblemTarget()

void pyhpp::core::exposeProblemTarget | ( |  | ) |

## ◆ exposeReports()

void pyhpp::core::exposeReports | ( |  | ) |

## ◆ exposeRoadmap()

void pyhpp::core::exposeRoadmap | ( |  | ) |

## ◆ exposeSplineGradientBased()

template<int Order>

void pyhpp::core::exposeSplineGradientBased | ( | const char * | name | ) |

## ◆ exposeSteeringMethod()

void pyhpp::core::exposeSteeringMethod | ( |  | ) |

## ◆ parameter_as_python_object()

object pyhpp::core::parameter_as_python_object | ( | Parameter * | p | ) |

## ◆ register_problem_converters()

void pyhpp::core::register_problem_converters | ( |  | ) |